Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Buffering_Strategy.h File Reference

`#include "notify_export.h"`
`#include "ace/Message_Queue.h"`
`#include "orbsvcs/TimeBaseC.h"`
`#include "Property.h"`
`#include "Property_T.h"`
`#include "AdminProperties.h"`

Include dependency graph for Buffering_Strategy.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_Buffering_Strategy
| Base Strategy to enqueue and dequeue items from a Message Queue. More...
## Typedefs
typedef ACE_Message_Queue< ACE_NULL_SYNCH > | TAO_Notify_Message_Queue

## Detailed Description

Id:
  Buffering_Strategy.h,v 1.6 2003/10/28 18:34:23 bala Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>

## Typedef Documentation

typedef ACE_Message_Queue<ACE_NULL_SYNCH> TAO_Notify_Message_Queue